// https://en.bitcoin.it/wiki/List_of_address_prefixes
// Dogecoin BIP32 is a proposed standard: https://bitcointalk.org/index.php?topic=409731

module.exports = {
  bitcoin: {
    messagePrefix: '\x18Bitcoin Signed Message:\n',
    bech32: 'bc',
    bip32: {
      public: 0x0488b21e,
      private: 0x0488ade4
    },
    pubKeyHash: 0x00,
    scriptHash: 0x05,
    wif: 0x80
  },
  testnet: {
    messagePrefix: '\x18Bitcoin Signed Message:\n',
    bech32: 'tb',
    bip32: {
      public: 0x043587cf,
      private: 0x04358394
    },
    pubKeyHash: 0x6f,
    scriptHash: 0xc4,
    wif: 0xef
  },
  litecoin: {
    messagePrefix: '\x19Litecoin Signed Message:\n',
    bip32: {
      public: 0x0488b21e,
      private: 0x0488ade4
    },
    pubKeyHash: 0x30,
    scriptHash: 0x32,
    wif: 0xb0
  },
  litecoinTestnet: {
    messagePrefix: '\x19Litecoin Signed Message:\n',
    bip32: {
      public: 0x0436f6e1,
      private: 0x0436ef7d
    },
    pubKeyHash: 0x6f,
    scriptHash: 0x3a,
    wif: 0xef
  },
  tokenpay: {
    messagePrefix: '\x19Tokenpay Signed Message:\n',
    bip32: {
      public: 0x2c513bd7,
      private: 0x2c51c15a
    },
    pubKeyHash: 0x41,
    scriptHash: 0x7e,
    wif: 0xb3
  }
}
